<div id="model-detail-info-rule" class="model-rule-create" ng-init="innerTabOne=true">
	<div class="modal-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="chat-group">
                    <div class="chat-user-title title-select-resource">原因代码识别规则管理 - 新建</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="rule-tab-list">
                    <ul class="nav nav-tabs">
                        <li  ng-class="{active:innerTabOne}" ng-click="goTab(1)"><span >识别优先级</span></li>
                        <li ng-init="innerTabTwo" ng-class="{active:innerTabTwo}" ng-click="goTab(2);"><span >识别方式</span></li>
                        <li ng-init="innerTabThree" ng-class="{active:innerTabThree}" ng-click="goTab(3)"><span>防呆验证</span></li>
                    </ul>
                </div>
            </div>
        </div>
        
        <div class="tab-content" ng-if="innerTabOne">
           <div class="ad-row">
                <div class=" ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text"><span class="text-red">*</span>原因代码:</label>
                    <div ng-if="!config.hasSavedTabOneOk" class="nbox-group-input ad-col-60 andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                        <input  ng-init="focusInput=false"
                               ng-focus="focusInput=true"
                               ng-blur="focusInput=false"
                               type="text"
                               placeholder=""
                               ng-class="{'work-placeholder':clientWorkConfig.isNoValue}"
                               class="form-control ad-left-child ad-uppercase"
                               ng-change="changeUppercase()"
                               ng-model="config.currentReasonCode.reasonCode">
                               <!-- ng-change="reasonCodeChanged();" -->
                        <i ng-click="openReasonCodeModal();" class="fa fa-search ad-right-child focus"></i>
                    </div>  
                    <div ng-if="config.hasSavedTabOneOk" class="ad-col-60">
                        <span ng-bind="config.currentReasonCode.reasonCode"></span>
                    </div>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text">原因代码描述:</label>
                    <span class="ad-col-60" ng-bind="config.currentReasonCode.description"></span>
                </div>
            </div>
            <div class="ad-row">
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text"><span class="text-red">*</span>优先级:</label>
                    <ui-select ng-if="!config.hasSavedTabOneOk" ng-disabled="config.hasSavedTabOneOk" ng-change="priorityChanged($select);" class="ad-col-60 andon-content-ui-select" ng-model="config.priority">
                        <ui-select-match placeholder="--- 请选择 ---">
                            <span ng-bind="config.priority.value"></span>
                            <!-- <span ng-bind="$item.value"></span> -->
                        </ui-select-match>
                        <ui-select-no-choice>
                            <a href ng-click="$select.toggle($event);">暂无数据</a>
                        </ui-select-no-choice>
                        <ui-select-choices repeat="item in (config.priorities) track by $index">
                            <span ng-bind-html="item.value"></span>
                        </ui-select-choices>
                    </ui-select>
                    <span ng-if="config.hasSavedTabOneOk" class="ad-col-60" ng-bind="config.priority.value"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text"><span class="text-red">*</span>子优先级:</label>
                    <ui-select ng-if="!config.hasSavedTabOneOk" ng-disabled="config.hasSavedTabOneOk" ng-change="subPriorityChanged($select);" class="ad-col-60 andon-content-ui-select" ng-model="config.subPriority">
                        <ui-select-match placeholder="--- 请选择 ---">
                            <span ng-bind="config.subPriority.value"></span>
                            <!-- <span ng-bind="$item.value"></span> -->
                        </ui-select-match>
                        <ui-select-no-choice>
                            <a href ng-click="$select.toggle($event);">暂无数据</a>
                        </ui-select-no-choice>
                        <ui-select-choices repeat="item in (config.subPriorities) track by $index">
                            <span ng-bind-html="item.value"></span>
                        </ui-select-choices>
                    </ui-select>
                    <span ng-if="config.hasSavedTabOneOk" class="ad-col-60" ng-bind="config.subPriority.value"></span>
                </div>
            </div> 
            <div class="ad-row">
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text">生效日期:</label>
                    <!--<input ng-if="!config.hasSavedTabOneOk" ng-change="effDateTimeChanged();" class="ad-col-60" type="datetime-local" ng-model="config.currentEffectDate">-->
                    <input type="text" value="" id="mruleCreateModelStartDate" ng-if="!config.hasSavedTabOneOk"
                           class="form-control ad-col-60"
                           ng-model="config.currentEffectDate" ng-change="effDateTimeChanged()"
                           ng-init="initDateTimePicker('#mruleCreateModelStartDate', {},'Y-m-d H:i:s',true,true);"/>                    <span ng-if="config.hasSavedTabOneOk" class="ad-col-60 one-line-text" ng-bind-template="{{config.currentEffectDate | date: 'yyyy-MM-dd HH:mm:ss'}}"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <!-- <label class="ad-col-40">是否已启用:</label>
                    <span  class="ad-col-60">
                        <input type="checkbox" ng-model="config.currentUsed">
                    </span> -->
                </div>
            </div>

            <div class="params-btns ">
                <div class="">
                    <button type="button" ng-if="!config.hasSavedTabOneOk" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="saveParams();" ng-disabled="config.btnDisabledSaveParams">保存</button>
                </div>
                <div class="">
                    <button type="button" ng-disabled="config.btnDisabledCancelParams" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="cancelParams();">取消</button>
                </div>
            </div>
        </div>
		
        <div class="tab-content" ng-if="innerTabTwo">
            <div class="ad-rows">
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40 one-line-text">原因代码:</label>
                        <span class="ad-col-60" ng-bind="config.currentReasonCode.reasonCode"></span>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40 one-line-text">原因代码描述:</label>
                        <span class="ad-col-60 one-line-text" ng-bind="config.currentReasonCode.reasonCodeDesc"></span>
                    </div>
                </div> 
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40 one-line-text"><span class="text-red">*</span>识别方式作业:</label>
                        <div  class="rule-indentify-search ad-col-60 nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text"
                                   placeholder=""
                                   class="form-control ad-left-child fill-parent"
                                   ng-change="changeUppercase();"
                                   ng-model="config.currentIndentify.activity">
                            <i ng-click="openIdentifySelectModel();" class="fa fa-search ad-right-child focus"></i>
                        </div>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40 one-line-text">识别方式描述:</label>
                        <span class="ad-col-60 one-line-text" ng-bind="config.currentIndentify.description"></span>
                    </div>
                </div> 
                <div class="ad-row" ng-if="!config.btnDisabledEditParams">
                    <div class="ad-col-70 ad-row">
                        <div class="ad-col-33">
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged2('default');" ng-disabled="!config.hasSelectedRow2">使用默认值</button>
                            <!-- <span>使用默认值</span> 
                            <input type="radio" ng-change="actionFChanged2();" value="default" ng-model="config.currentAction2" ng-disabled="!config.hasSelectedRow2" name="action-r2"> -->
                        </div> 
                        <div class="ad-col-33"> 
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged2('set');" ng-disabled="!config.hasSelectedRow2">使用设定值</button>
                            <!-- <span>使用设定值</span> 
                            <input type="radio" ng-change="actionFChanged2();" value="set" ng-model="config.currentAction2" ng-disabled="!config.hasSelectedRow2" name="action-r2"> -->
                        </div> 
                        <div class="ad-col-33" ng-if="false"> 
                            <span>不使用</span> 
                            <input type="radio" ng-change="actionFChanged2();" value="notUse" ng-model="config.currentAction2" ng-disabled="!config.hasSelectedRow2" name="action-r2">
                        </div> 
                    </div>
                    <div class="ad-col-30 ad-row">
                    </div>
                </div> 
            </div> 
            <div class="params-header chat-user-title">识别方式作业参数</div>
            <div class="params-grid">
                <div ui-grid="paramsGridOptions" class="rules-params-grid" ui-grid-cellnav ui-grid-selection ui-grid-edit ui-grid-resize-columns ui-grid-auto-resize> </div>
            </div>
            <div class="params-btns">
                <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="saveParamsTwoTab();" >保存</button>
                <!-- ng-disabled="config.towTabChanged" -->
                <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-disabled="config.btnDisabledCancelTow" ng-click="cancelParamsTwoTab();">取消</button>
            </div>
        </div>
        
        <div class="tab-content" ng-if="innerTabThree">
            <div class="ad-rows">
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">原因代码:</label>
                        <span class="ad-col-60" ng-bind="config.currentReasonCode.reasonCode"></span>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">原因代码描述:</label>
                        <span class="ad-col-60" ng-bind="config.currentReasonCode.reasonCodeDesc"></span>
                    </div>
                </div>
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40"><span class="text-red">*</span>防呆验证作业:</label> 
                        <div class="rule-indentify-search ad-col-60 nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text"
                                   placeholder=""
                                   class="form-control ad-left-child fill-parent"
                                   ng-change="changeUppercase();"
                                   ng-model="config.currentPreventStay.activity">
                            <i ng-click="openPreventStaySelectModel();" class="fa fa-search ad-right-child focus"></i>
                        </div> 
                    </div> 
                    <div class="ad-col-50 ad-row"> 
                        <label class="ad-col-40 one-line-text">防呆验证描述:</label> 
                        <span class="ad-col-60 one-line-text" ng-bind="config.currentPreventStay.description"></span> 
                    </div>
                </div>
                <div class="ad-row" ng-if="!config.btnDisabledEditStayParams">
                    <div class="ad-col-70 ad-row">
                        <div class="ad-col-33"> 
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged('default');" ng-disabled="!config.hasSelectedRow">使用默认值</button>
                            <!-- <span>使用默认值</span> 
                            <input type="radio" ng-change="actionFChanged();" value="default" ng-model="config.currentAction" ng-disabled="!config.hasSelectedRow" name="action-r"> -->
                        </div> 
                        <div class="ad-col-33"> 
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged('set');" ng-disabled="!config.hasSelectedRow">使用设定值</button>
                            <!-- <span>使用设定值</span> 
                            <input type="radio" ng-change="actionFChanged();" value="set" ng-model="config.currentAction" ng-disabled="!config.hasSelectedRow" name="action-r"> -->
                        </div>
                        <div class="ad-col-33" ng-if="false"> 
                            <span>不使用</span> 
                            <input type="radio" ng-change="actionFChanged();" value="notUse" ng-model="config.currentAction" ng-disabled="!config.hasSelectedRow" name="action-r">
                        </div> 
                    </div>
                    <div class="ad-col-30 ad-row">
                        <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="savePreventStayThreeTab();" ng-disabled="config.btnDisabledSaveStayActivity">保存</button>
                    </div>
                </div>
            </div>  
            <div class="params-header chat-user-title">识别方式作业参数</div>
            <div class="params-grid">
                <div ui-grid="preventStayGridOptions" class="rules-params-grid" ui-grid-cellnav ui-grid-edit ui-grid-selection ui-grid-resize-columns ui-grid-auto-resize></div>
            </div>
            <div class="params-btns">
                <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="saveParamsThreeTab();" ng-disabled="config.threeTabActivityNotInit || config.threeTabChanged">保存</button>
                <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-disabled="config.btnDisabledCancelThree" ng-click="cancelParamsThreeTab();" >取消</button>
            </div>
        </div>
		
    </div>
</div> 
    

